Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp	(revision 461)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp	(revision 465)
@@ -102,5 +102,5 @@
 		else if( source[i] == 1 && source[i+1] == ESC_ENDNAMESPACE ){
 			if( namespaceScopes.size() <= 0 ){
-				SetError(12, "End Namespace", i );
+				compiler.errorMessenger.Output(12, "End Namespace", i );
 			}
 			else{
@@ -121,5 +121,5 @@
 			if( !compiler.GetNamespaceSupporter().ImportsNamespace( temporary ) )
 			{
-				SetError(64,temporary,i );
+				compiler.errorMessenger.Output(64,temporary,i );
 			}
 
@@ -228,5 +228,5 @@
 			if(pobj_LoopRefCheck->check(pMember->GetType().GetClass())){
 				extern int cp;
-				SetError(124,pMember->GetType().GetClass().GetName(),cp);
+				compiler.errorMessenger.Output(124,pMember->GetType().GetClass().GetName(),cp);
 				return false;
 			}
@@ -283,5 +283,5 @@
 		else if( basbuf[i] == 1 && basbuf[i+1] == ESC_ENDNAMESPACE ){
 			if( namespaceScopes.size() <= 0 ){
-				SetError(12, "End Namespace", i );
+				compiler.errorMessenger.Output(12, "End Namespace", i );
 			}
 			else{
@@ -303,5 +303,5 @@
 			if( !compiler.GetNamespaceSupporter().ImportsNamespace( temporary ) )
 			{
-				SetError(64,temporary,i );
+				compiler.errorMessenger.Output(64,temporary,i );
 			}
 
@@ -358,9 +358,9 @@
 					if( !compiler.StringToType( typeParameterBaseClassNames[i2], baseType ) )
 					{
-						SetError(106,typeParameterBaseClassNames[i2],i);
+						compiler.errorMessenger.Output(106,typeParameterBaseClassNames[i2],i);
 					}
 					else if( !baseType.IsObject() )
 					{
-						SetError(106,typeParameterBaseClassNames[i2],i);
+						compiler.errorMessenger.Output(106,typeParameterBaseClassNames[i2],i);
 					}
 				}
@@ -394,5 +394,5 @@
 
 				if(lstrcmpi(temporary,pobj_c->GetName().c_str())==0){
-					SetError(105,temporary,i);
+					compiler.errorMessenger.Output(105,temporary,i);
 					goto Interface_InheritsError;
 				}
@@ -402,5 +402,5 @@
 				const CClass *pInheritsClass = classes.Find(temporary);
 				if( !pInheritsClass ){
-					SetError(106,temporary,i);
+					compiler.errorMessenger.Output(106,temporary,i);
 					goto Interface_InheritsError;
 				}
@@ -427,5 +427,5 @@
 				//エラー
 				if(basbuf[i]==1&&(basbuf[i+1]==ESC_CLASS||basbuf[i+1]==ESC_TYPE||basbuf[i+1]==ESC_INTERFACE)){
-					SetError(22,"Interface",i);
+					compiler.errorMessenger.Output(22,"Interface",i);
 					i--;
 					break;
@@ -433,10 +433,10 @@
 
 				if(basbuf[i]==1&&basbuf[i+1]==ESC_INHERITS){
-					SetError(111,NULL,i);
+					compiler.errorMessenger.Output(111,NULL,i);
 					break;
 				}
 				else if( basbuf[i] == 1 && basbuf[i+1] == ESC_IMPLEMENTS )
 				{
-					SetError(137, NULL, i );
+					compiler.errorMessenger.Output(137, NULL, i );
 					break;
 				}
@@ -454,5 +454,5 @@
 					if(basbuf[i]=='\0'){
 						i--;
-						SetError(22,"Interface",top_pos);
+						compiler.errorMessenger.Output(22,"Interface",top_pos);
 						break;
 					}
@@ -466,5 +466,5 @@
 					temporary[1]==ESC_SUB||temporary[1]==ESC_FUNCTION
 					))){
-					SetError(1,NULL,i);
+					compiler.errorMessenger.Output(1,NULL,i);
 					break;
 				}
@@ -505,9 +505,9 @@
 				if( dwClassType != ESC_TYPE )
 				{
-					SetError(140,NULL,i);
+					compiler.errorMessenger.Output(140,NULL,i);
 				}
 
 				if(!(iAlign==1||iAlign==2||iAlign==4||iAlign==8||iAlign==16))
-					SetError(51,NULL,i);
+					compiler.errorMessenger.Output(51,NULL,i);
 			}
 			else if( memicmp( basbuf + i, "Blittable(", 10 ) == 0 ){
@@ -518,5 +518,5 @@
 				if( dwClassType != ESC_CLASS )
 				{
-					SetError(141,NULL,i);
+					compiler.errorMessenger.Output(141,NULL,i);
 				}
 			}
@@ -568,9 +568,9 @@
 					if( !compiler.StringToType( typeParameterBaseClassNames[i2], baseType ) )
 					{
-						SetError(106,typeParameterBaseClassNames[i2],i);
+						compiler.errorMessenger.Output(106,typeParameterBaseClassNames[i2],i);
 					}
 					else if( !baseType.IsObject() )
 					{
-						SetError(106,typeParameterBaseClassNames[i2],i);
+						compiler.errorMessenger.Output(106,typeParameterBaseClassNames[i2],i);
 					}
 				}
@@ -616,5 +616,5 @@
 
 					if(lstrcmpi(temporary,pobj_c->GetName().c_str())==0){
-						SetError(105,temporary,i);
+						compiler.errorMessenger.Output(105,temporary,i);
 						goto InheritsError;
 					}
@@ -644,5 +644,5 @@
 				//エラー
 				if(basbuf[i]==1&&(basbuf[i+1]==ESC_CLASS||basbuf[i+1]==ESC_TYPE)){
-					SetError(22,"Class",i);
+					compiler.errorMessenger.Output(22,"Class",i);
 					i--;
 					break;
@@ -650,10 +650,10 @@
 
 				if(basbuf[i]==1&&basbuf[i+1]==ESC_INHERITS){
-					SetError(111,NULL,i);
+					compiler.errorMessenger.Output(111,NULL,i);
 					break;
 				}
 				else if( basbuf[i] == 1 && basbuf[i+1] == ESC_IMPLEMENTS )
 				{
-					SetError(137, NULL, i );
+					compiler.errorMessenger.Output(137, NULL, i );
 					break;
 				}
@@ -718,7 +718,7 @@
 
 						if(dwClassType==ESC_CLASS)
-							SetError(22,"Class",top_pos);
+							compiler.errorMessenger.Output(22,"Class",top_pos);
 						else
-							SetError(22,"Type",top_pos);
+							compiler.errorMessenger.Output(22,"Type",top_pos);
 
 						i--;
@@ -810,5 +810,5 @@
 							basbuf[i+1]==ESC_ENUM)){
 							GetDefaultNameFromES(i3,temporary);
-							SetError(22,temporary,i);
+							compiler.errorMessenger.Output(22,temporary,i);
 						}
 						if(basbuf[i]==1&&basbuf[i+1]==GetEndXXXCommand((char)i3)){
